Get valuation on date
GET
/portfolio/assets/{asset}/asset-valuation-on-dateReturns the asset's valuation that was effective on the specified date. If no exact match exists, the most recent valuation prior to the date is returned.
Path parameters
The asset ID
Query parameters
Responses
{
"data": {
"id": 1,
"asset_id": 1,
"asset_reference": "string",
"investor": {
"id": 1,
"client_reference": "string",
"name": "string",
"guid": "string",
"email": "string",
"source": "string",
"source_id": "string",
"created_at": "2026-06-12T10:00:00+00:00",
"updated_at": "2026-06-12T10:00:00+00:00",
"deleted_at": "2026-06-12T10:00:00+00:00",
"title": "string",
"forename": "string",
"surname": "string"
},
"value": "string",
"formatted_value": "string",
"date": "string",
"currency": "string",
"description": "string",
"creation_type": "string",
"units": "string",
"total_value": "string"
}
}404
Not found
422
Validation error
Examples
curl https://your-org-domain/kong/core/api/v2/portfolio/assets/{asset}/asset-valuation-on-date?date={date}\
-H "Authorization: Bearer $HELM_API_KEY"\
-H "Content-Type: application/json"